help pls

+1 Love Almström · August 5, 2014
Hello i have a problem when i try to import javax.swing.JOptionPane;
on eclipsle. The problem is i get this error:
Access restriction: The type JOptionPane is not accessible due to restriction on required library C:\Program Files\Java\jre8\lib\rt.jar

Post a Reply

Replies

Oldest  Newest  Rating
+3 Pere Garau Burguera · August 5, 2014
I don't personally know this, but I found a StackOverflow post that seems to give the solutions:

http://stackoverflow.com/questions/860187/access-restriction-on-class-due-to-restriction-on-required-library-rt-jar 
0 Love Almström · August 5, 2014
thank you som much it worked. Now i can finally continue learning how to program
  • 1

Java / Android Development

103,662 followers
About

Very popular language used to create desktop applications, website applets, and Android apps.

Links
Moderators
Bucky Roberts Administrator